<template>
  <vxe-modal v-model="showFlag" :width="1200" :height="800">
    <VxeGrid ref="vGrid" v-bind="gridOptions" v-on="gridEvents">
      <template #name_czbh="{ data }">
        <ProjectSelect ref="projectSelectRef" clearable :_style="{width:'100%'}" />
      </template>
    </VxeGrid>
  </vxe-modal>
</template>

<script>
import init from '../js/ylmodal'
import ProjectSelect from "@/components/ProjectSelect/index.vue";

export default {
  name:'YlModal',
  components: {ProjectSelect},
  data(){
    return {
      showFlag:false,
      gridOptions:{},
      gridEvents:{}
    }
  },
  created(){
    const {options}=init(this)
    this.gridOptions=options
  },
  methods:{
    show(){
      this.showFlag=true
    },
  }
}
</script>
